[arch-commits] Commit in python2-matplotlib/repos (4 files)

Bruno Pagani archange at archlinux.org
Wed Oct 24 22:17:24 UTC 2018


    Date: Wednesday, October 24, 2018 @ 22:17:24
  Author: archange
Revision: 398894

archrelease: copy trunk to community-testing-x86_64

Added:
  python2-matplotlib/repos/community-testing-x86_64/
  python2-matplotlib/repos/community-testing-x86_64/PKGBUILD
    (from rev 398893, python2-matplotlib/trunk/PKGBUILD)
  python2-matplotlib/repos/community-testing-x86_64/python2-matplotlib.install
    (from rev 398893, python2-matplotlib/trunk/python2-matplotlib.install)
  python2-matplotlib/repos/community-testing-x86_64/setup.cfg
    (from rev 398893, python2-matplotlib/trunk/setup.cfg)

----------------------------+
 PKGBUILD                   |   74 +++++++++++++++++++++++++++++++++++++++++++
 python2-matplotlib.install |   16 +++++++++
 setup.cfg                  |    3 +
 3 files changed, 93 insertions(+)

Copied: python2-matplotlib/repos/community-testing-x86_64/PKGBUILD (from rev 398893, python2-matplotlib/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2018-10-24 22:17:24 UTC (rev 398894)
@@ -0,0 +1,74 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgname=python2-matplotlib
+pkgver=2.2.3
+pkgrel=3
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('x86_64')
+url="https://matplotlib.org"
+license=('custom')
+depends=('python2-numpy' 'python2-dateutil' 'python2-pyparsing' 'python2-pytz' 'libpng' 'freetype2'
+         'python2-cycler' 'python2-six' 'python2-backports.functools_lru_cache' 'python2-subprocess32' 'python2-kiwisolver')
+optdepends=('tk: Tk{Agg,Cairo} backends'
+            'python2-pyqt5: Qt5{Agg,Cairo} backends'
+            'pygtk: GTK{,Agg,Cairo} backends'
+            'python2-gobject: for GTK3{Agg,Cairo} backend'
+            'python2-wxpython3: WX{,Agg,Cairo} backend'
+            'python2-cairo: {GTK,GTK3,Qt5,Tk,WX}Cairo backends'
+            'python2-cairocffi: alternative for Cairo backends'
+            'python2-tornado: WebAgg backend'
+            'ffmpeg: for saving movies'
+            'imagemagick: for saving animated gifs'
+            'python2-pillow: for reading/saving jpeg/bmp/tiff files'
+            'ghostscript: usetex dependencies'
+            'texlive-bin: usetex dependencies')
+makedepends=('python2-setuptools'
+             'tk' 'python2-pyqt5' 'pygtk' 'python2-gobject'
+             'python2-wxpython3' 'python2-cairocffi' 'python2-tornado'
+             'python2-pillow' 'ghostscript' 'texlive-bin')
+checkdepends=('python2-pytest-xdist' 'python2-pytest-runner' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'inkscape' 'mencoder'
+              'ffmpeg' 'imagemagick' 'ttf-freefont' 'python2-pandas' 'python2-mock')
+install=$pkgname.install
+source=($pkgname-$pkgver.tar.gz::"https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+        setup.cfg)
+sha512sums=('d118f5d56e2f578031aba22933c0b3a4423a31a04f50f08cc1aa660186546d09692a9cf401bb5f24cb296f94fbfd8707460728d501ac2bd4a624dfa89e92949b'
+            'f08c0b2e94599fdf2b736b8a655d862209934441d90f20ed872cfc128b8d2a6525763ab7cf64f2b3630e22a90798f4c52aa93b18087e9b48708d9bae34aada0b')
+
+prepare() {
+  cd matplotlib-$pkgver
+  for file in $(find . -name '*.py' -print); do
+    sed -i -e "s|^#!.*/usr/bin/python|#!/usr/bin/python2|" \
+           -e "s|^#!.*/usr/bin/env *python|#!/usr/bin/env python2|" $file
+  done
+  cd ..
+
+  cp -a matplotlib-$pkgver{,-test}
+
+  # Configure tests (FS#48175)
+  cp setup.cfg matplotlib-$pkgver-test/
+}
+
+build() {
+  cd matplotlib-$pkgver
+  python2 setup.py build
+}
+
+check() {
+  cd matplotlib-$pkgver-test
+  xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+    python2 setup.py pytest --addopts="-n auto" || warning "Tests failed" # Different font rendering details
+}
+
+package() {
+  cd matplotlib-$pkgver
+  python2 setup.py install --root "$pkgdir" --prefix=/usr --optimize=1 --skip-build
+  # FS#41820 - unset default backend
+  sed -i 's/backend      : qt5agg/#backend      : agg/' $pkgdir/usr/lib/python2.7/site-packages/matplotlib/mpl-data/matplotlibrc
+  install -Dm644 doc/users/license.rst -t "$pkgdir"/usr/share/licenses/${pkgname}/
+}

Copied: python2-matplotlib/repos/community-testing-x86_64/python2-matplotlib.install (from rev 398893, python2-matplotlib/trunk/python2-matplotlib.install)
===================================================================
--- community-testing-x86_64/python2-matplotlib.install	                        (rev 0)
+++ community-testing-x86_64/python2-matplotlib.install	2018-10-24 22:17:24 UTC (rev 398894)
@@ -0,0 +1,16 @@
+post_install() {
+    cat << EOF
+
+Starting with python2-matplotlib 2.2.3-3, the Python 2.7 version of matplotlib
+now defaults to 'Agg' backend. This is a rendering only backend with no GUI.
+If you want to use a GUI backend, install the required optdepends and set the
+backend value in your matplotlibrc.
+
+EOF
+}
+
+post_upgrade() {
+    if [ $(vercmp $2 2.2.3-3) -lt 0 ] ; then
+        post_install
+    fi
+}

Copied: python2-matplotlib/repos/community-testing-x86_64/setup.cfg (from rev 398893, python2-matplotlib/trunk/setup.cfg)
===================================================================
--- community-testing-x86_64/setup.cfg	                        (rev 0)
+++ community-testing-x86_64/setup.cfg	2018-10-24 22:17:24 UTC (rev 398894)
@@ -0,0 +1,3 @@
+[packages]
+tests = True
+toolkits_tests = True



More information about the arch-commits mailing list